#!/bin/sh
#
##############################################################################
# dns2dat version 11.0 Workstation
# script to run dns2dat
##############################################################################
#
#####################################################
#####            Copyright 1998-2009            #####
##### Vanderplaats Research & Development, Inc. #####
#####            All rights reserved.           #####
#####################################################
#
##############################################################################
#  Start of user modifiable part -- Set these variables accordingly
##############################################################################
#
# VRAND_PATH and GENESIS_DIR should have been set by the GENESIS installation
# script
#
VRAND_PATH="ZZZvrand_pathZZZ"
#
GENESIS_DIR="ZZZgenesis_dirZZZ"
#
##############################################################################
#  End of user modifiable part -- NOTHING BELOW THIS LINE SHOULD BE CHANGED!
##############################################################################
#
if [ ! -d "$VRAND_PATH" ]; then
   what=`basename "$0"`
   where=`dirname "$0"`
   here=`pwd`
   test x"$where" = x. && where="$here"
   case $where in
      /*) : ;;
      *) where="$here/$where" ;;
   esac
   while [ -L "$where/$what" ]; do
      ls=`/bin/ls -l "$where/$what"`
      cmd=`expr "$ls" : ".*-> \(.*\)"`
      what=`basename "$cmd"`
      newwhere=`dirname "$cmd"`
      test x"$newwhere" = x. && newwhere="$where"
      case $newwhere in
         /*) : ;;
         *) newwhere="$where/$newwhere" ;;
      esac
      where="$newwhere"
   done
   case $where in
      */vrand/bin) 
         VRAND_PATH=`expr "$where" : "\(.*\)/bin"`
      ;;
      *) printf "Error: Genesis was not properly installed!
       Edit the dns2dat script and set the variable \"VRAND_PATH\"
       to the full path to the vrand directory.
" >&2
         exit 1
      ;;
   esac
fi
#
OSTYPE=`uname`
case $OSTYPE in
   AIX*)  OSTYPE="AIX" ;;
   IRIX*) OSTYPE="IRIX" ;;
   Linux) OSTYPE="Linux_ix86"
      case `uname -m` in
         ia64*) OSTYPE="Linux_ia64" ;;
      esac
   ;;
   HP-UX)
      case `model` in
         ia64*) OSTYPE="HP-UX_ia64" ;;
      esac
   ;;
   Darwin) OSTYPE="Darwin_ix86"
      case `arch` in
         ppc*) OSTYPE="Darwin_ppc" ;;
      esac
   ;;
esac
#
if [ ! -x "$VRAND_PATH/$GENESIS_DIR/$OSTYPE/dns2dat.x" ]; then
   printf "Error: dns2dat executable not found!
Check the setting of the \"VRAND_PATH\" variable in the dns2dat script.\n" >&2
   exit 1
fi

exec "$VRAND_PATH/$GENESIS_DIR/$OSTYPE/dns2dat.x"
